[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoConstraintsChange

Notifies the widgetset class instance when Constraints are changed.

## Declaration

Source position: controls.pp line 2177

`protected procedure TWinControl.DoConstraintsChange(`
`Sender: TObject`
`); override;`

## Arguments

`Sender` |  | Object (TWinControl) instance for the change notification.

## Description

DoConstraintsChange is an overridden method in TWinControl, and calls the inherited method on entry to size and position child controls to Constraints. Calls the ConstraintsChange method in the widgetset class instance when its Handle has been allocated.

DoConstraintsChange is called from the TSizeConstraints.Change method before it signals the OnChange event handler in the constraints class instance.

## See also

TControl.DoConstraintsChange |  | Performs actions needed when value(s) in Constraints have been changed.